Installing LibreOffice 5.0.1 on Sabayon, using Portage

Anything that pertains to Portage

Moderator: Moderators

Installing LibreOffice 5.0.1 on Sabayon, using Portage

Postby fusion809 » Tue Sep 08, 2015 12:54

Hi,

I'd love to install LibreOffice 5 (5.0.0/5.0.1 is fine, so long as it is in the 5 series) on my Sabayon system, but I know that Entropy does not yet have LibreOffice 5 in its repos, so I'm left using Portage. I ran:

Code: Select all
emerge =app-office/libreoffice-5.0.1.2


After installing as many dependencies as possible with Entropy. This left me with 7 packages to emerge:

Code: Select all
[ebuild  N     ] app-office/libreoffice-l10n-5.0.1.2::gentoo  USE="-offlinehelp" LINGUAS="af ar bg bn br bs ca cs cy da de el en en_GB eo es et eu fa fi fr ga gl gu he hi hr hu is it ja kk km ko lt lv mk mn nb nl nn pl pt pt_BR ro ru rw sk sl sr ss sv ta tg tr uk uz vi zh_CN zh_TW -am -as -ast -be -bn_IN -bo -brx -ca_valencia -dgo -dz -en_ZA -gd -gug -id -ka -kmr_Latn -kn -kok -ks -lb -lo -mai -ml -mni -mr -my -ne -nr -nso -oc -om -or -pa_IN -sa_IN -sat -sd -si -sid -sq -sr_Latn -st -sw_TZ -te -th -tn -ts -tt -ug -ve -xh -zu" 528 KiB
[ebuild  N     ] dev-libs/libixion-0.9.1:0/0.10::gentoo  USE="python -static-libs" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild  N     ] dev-libs/liborcus-0.7.1::gentoo  USE="-static-libs" 0 KiB
[ebuild  N     ] dev-libs/rasqal-0.9.32::gentoo  USE="crypt gmp mhash pcre xml -static-libs {-test}" 0 KiB
[ebuild  N     ] dev-libs/redland-1.0.17-r1::gentoo  USE="berkdb -iodbc -mysql -odbc -postgres -sqlite -static-libs" 0 KiB
[ebuild  N     ] dev-java/commons-lang-2.6:2.1::gentoo  USE="-doc -source {-test}" 0 KiB
[ebuild  N     ] app-office/libreoffice-5.0.1.2::gentoo  USE="bluetooth cups dbus gnome gstreamer gtk gtk3 java (-aqua) -branding -coinmp -collada -debug -eds (-firebird) -gltf -jemalloc -kde -mysql -odk -postgres (-telepathy) {-test} -vlc" LIBREOFFICE_EXTENSIONS="wiki-publisher -nlpsolver -scripting-beanshell -scripting-javascript" PYTHON_SINGLE_TARGET="python2_7 -python3_3 -python3_4" PYTHON_TARGETS="python2_7 python3_4 -python3_3" 0 KiB


emerging the first of these packages, l10n, gave this error message:

Code: Select all
!!! Fetched file: LibreOffice_5.0.1_Linux_x86_rpm_langpack_ar.tar.gz VERIFY FAILED!
!!! Reason: Filesize does not match recorded size
!!! Got:      2260964
!!! Expected: 540246
Refetching... File renamed to '/usr/portage/distfiles/LibreOffice_5.0.1_Linux_x86_rpm_langpack_ar.tar.gz._checksum_failure_.0nZuAz'

!!! Couldn't download 'LibreOffice_5.0.1_Linux_x86_rpm_langpack_ar.tar.gz'. Aborting.
 * Fetch failed for 'app-office/libreoffice-l10n-5.0.1.2', Log file:
 *  '/var/tmp/portage/app-office/libreoffice-l10n-5.0.1.2/temp/build.log'

>>> Failed to emerge app-office/libreoffice-l10n-5.0.1.2, Log file:

>>>  '/var/tmp/portage/app-office/libreoffice-l10n-5.0.1.2/temp/build.log'

 * Messages for package app-office/libreoffice-l10n-5.0.1.2:

 * Fetch failed for 'app-office/libreoffice-l10n-5.0.1.2', Log file:
 *  '/var/tmp/portage/app-office/libreoffice-l10n-5.0.1.2/temp/build.log'


here's my build.log file. My internet connection is fine, hence why I don't understand this error. If for whatever reason this forum is not suitable for Portage questions, as I was informed by Joost on a earlier post that the Sabayon community doesn't really support using Portage for package installation, I would appreciate it if you's could direct me somewhere that would be appropriate place for me to ask such questions. Of course, I could ask these questions in the Gentoo forums, but I am not an experienced Linux user, so I suspect the conversation there would quickly go over my head.

Thanks for your time,
Brenton
Brenton Horne
Favourite distros: Arch Linux, Fedora, openSUSE, Sabayon Linux and Ubuntu.
Usernames: Fuse809 (Wikimedia), fusion809 (RuneScape), Brenton (Sabayon Wiki) and fusion809 (Gentoo Wiki).
My Blog on Sabayon | Google+
fusion809
Growing Hen
 
Posts: 116
Joined: Fri Jul 03, 2015 15:11
Location: Townsville, Australia

Re: Installing LibreOffice 5.0.1 on Sabayon, using Portage

Postby albfneto » Tue Sep 08, 2015 15:48

you tried to compile directly in your language?

example if you need only the package in the Great Britain English:

Code: Select all
# LINGUAS="en_GB" emerge -av app-office/libreoffice


also, in your error messaages, seems to me that the system not find the "ar" language pack... if you need to compile in all the "founded" languages, you may try in this manner:

Code: Select all
# emerge -av --keep-going app-office/libreoffice
OR

Code: Select all
# LINGUAS="-ar" emerge -av app-office/libreoffice
ALBERTO FEDERMAN NETO
albfneto
[email protected]
Favorite Distros: Sabayon, Gentoo, Mageia and OpenSUSE
User avatar
albfneto
Sagely Hen
 
Posts: 1798
Joined: Fri Nov 16, 2007 1:15
Location: Ribeirão Preto City, São Paulo State, Brazil

Re: Installing LibreOffice 5.0.1 on Sabayon, using Portage

Postby Stupot » Wed Sep 09, 2015 1:18

It doesn't have ar on that mirror.

File:LibreOffice_5.0.1_Linux_x86_rpm_helppack_am.tar.gz
File:LibreOffice_5.0.1_Linux_x86_rpm_helppack_ast.tar.gz
File:LibreOffice_5.0.1_Linux_x86_rpm_helppack_bg.tar.gz
File:LibreOffice_5.0.1_Linux_x86_rpm_helppack_bn-IN.tar.gz
File:LibreOffice_5.0.1_Linux_x86_rpm_helppack_bn.tar.gz
File:LibreOffice_5.0.1_Linux_x86_rpm_helppack_bo.tar.gz
File:LibreOffice_5.0.1_Linux_x86_rpm_helppack_bs.tar.gz
....

either the mirror is missing it, or the ebuild is wrong and shouldn't require it or the flags you have set won't work.
Stupot
Sagely Hen
 
Posts: 1607
Joined: Wed Feb 14, 2007 3:44
Location: St. Louis, MO, USA


Return to Portage|Emerge Package Managers

Who is online

Users browsing this forum: No registered users and 1 guest